/**
 * Block Name: TPH - Text Heading
 * Styles for the Text Heading block
 */

.tph-text-heading {
    width: 100%;
    padding: 0 0 12rem 0;
    z-index: 1;
    position: relative;
    @media (max-width: 768px) {
        padding: 6rem 0;
    }
}

.tph-text-heading__container {
    max-width: 680px;
    margin: 0;
    padding: 0;
}

.tph-text-heading__container--center {
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.tph-text-heading--center {
    padding-bottom: 8rem;
    @media (max-width: 768px) {
        padding-bottom: 4rem;
    }
}

.tph-text-heading__wrapper {
    margin: 0 0 1.5rem 0;
    display: flex;
    flex-direction: column;
}

.tph-text-heading__first-line {
    display: block;
    color: #053b81;
    margin-bottom: 0.5rem;
}

.tph-text-heading__main {
    display: block;
    color: #053b81;
    margin: 0;
}

.tph-text-heading__content {
    margin: 0;
    max-width: 800px;
}

.tph-text-heading__container--center .tph-text-heading__content {
    font-weight: 300;
    font-size: 2.2rem; /* 22px */
    line-height: 140%; /* 1.4 */
    letter-spacing: 0.25%;
}

/* Responsive Design */
@media (max-width: 768px) {
    .tph-text-heading {
        padding: 1.5rem 0;
    }
    
    .tph-text-heading__container {
        padding: 0 1rem;
    }
}

@media (max-width: 480px) {
    .tph-text-heading {
        padding: 1rem 0;
    }
}


